#
# spec file for package linux32 (Version 1.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db desktop-translations diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim zlib zlib-devel

Name:           linux32
BuildRequires:  update-desktop-files
URL:            ftp://ftp.x86-64.org/pub/linux/tools/linux32/
License:        GPL
Group:          System/Kernel
Summary:        32-Bit Emulation Utility for x86-64
Version:        1.0
Release:        349.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#Recommends:  kdebase3
Source0:        linux32.c
Source1:        linux32.1
Source2:        %name.desktop
Source3:        konsole-linux32.png

%description
This is a small tool for 32-bit emulation in Linux/x86-64. It allows
you to execute programs that need a uname -m of i386 with uname
emulation. The uname -m is inherited by all child programs, but does
not affect the current shell or processes above it in the process
hierarchy.



Authors:
--------
    Andi Kleen <ak@suse.de>

%debug_package
%prep
mkdir -p linux32
cd linux32
cp $RPM_SOURCE_DIR/linux32.c .
cp $RPM_SOURCE_DIR/linux32.1 .

%build
cd linux32
gcc $RPM_OPT_FLAGS -o linux32 linux32.c

%install
cd linux32
mkdir -p $RPM_BUILD_ROOT/usr/bin  $RPM_BUILD_ROOT/usr/share/man/man1
cp linux32 $RPM_BUILD_ROOT/usr/bin
cp linux32.1 $RPM_BUILD_ROOT/usr/share/man/man1
( cd $RPM_BUILD_ROOT/usr/share/man/man1 ; ln -s linux32.1.gz linux64.1.gz ) 
cd $RPM_BUILD_ROOT/usr/bin
ln linux32 linux64
%suse_update_desktop_file -i %name TerminalEmulator

%files
%defattr(-,root,root)
/usr/bin/linux32
/usr/bin/linux64
/usr/share/man/man1/linux32.1.gz
/usr/share/man/man1/linux64.1.gz
/usr/share/applications/*
/usr/share/pixmaps/*

%changelog -n linux32
* Wed Mar 01 2006 - sf@suse.de
- added -32bit to name and generics name in .desktop file (#52279)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 23 2004 - adrian@suse.de
- install icon file for desktop entry
* Sun Aug 03 2003 - adrian@suse.de
- install the desktop file according to XDG instead of susewm
* Fri Jun 20 2003 - ak@suse.de
- add linux32.1 as Source
* Thu Jun 19 2003 - ak@suse.de
- eliminate README.linux32
- use RPM_OPT_FLAGS
* Thu Jun 19 2003 - ak@suse.de
- fix neededforbuild
- make --3gb the default
- add manpage
- use hardlink for linux64
* Thu Jun 05 2003 - ak@suse.de
- add --3gb support (needs kernel patch)
- fix error handling
* Thu Feb 20 2003 - adrian@suse.de
- add menu entry for 32 bit shell in System/Terminals/
* Fri May 10 2002 - stepan@suse.de
- initial version
